Subject: [Simple] rfc3903 - PUBLISH modify

From: "Adi Even-Tzur" <[email-masked]>
Date: Tue, 16 Nov 2004 11:55:41 +0200

Hi,
 
RFC 3903 states:
 
"If the entity-tag matches previously published event state at the ESC,
that event state is replaced by the 
 event state carried in the PUBLISH request, and the EPA receives a 2xx
response."
(section 4.4, regarding Modifying Event State).
 
My question: what the meaning of replace is -
If the Modify PUBLISH contains only subset of the tuples of the Initial
PUBLISH, whether the tuples that are missing in the Modify PUBLISH 
should be removed from the event state by the ESC or should they stay
without change?
 
Thanks,
Adi.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Aki Niemi <[email-masked]>
Date: Tue, 16 Nov 2004 14:44:10 +0200

Hi Adi,

Admittedly, the phrase "replace" is misleading. This of course depends
on the PUBLISH content. In presence, a PUBLISH containing full PIDF 
would indeed replace the initial publication. However, with e.g. partial 
publication, the modifying publication would actually patch the initial 
publication, not replace it.

Cheers,
Aki

ext Adi Even-Tzur wrote:
> Hi,
> 
> 
> 
> RFC 3903 states:
> 
> 
> 
> "If the entity-tag matches previously published event state at the
> ESC, that event state is *replaced* by the
> 
> event state carried in the PUBLISH request, and the EPA receives a
> 2xx response."
> 
> If the Modify PUBLISH contains only subset of the tuples of the
> Initial PUBLISH, whether the tuples that are missing in the Modify
> PUBLISH
> 
> ------------------------------------------------------------------------
> 
> 
> _______________________________________________ Simple mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/simple